Bug 190120 - segfault at startup: BootstrapException
segfault at startup: BootstrapException
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-27 15:01 EDT by Sami Farin
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-28 03:57:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sami Farin 2006-04-27 15:01:25 EDT
Description of problem:
At startup ooffice dies:
/usr/lib/openoffice.org2.0/program/soffice: line 143: 30971 Segmentation fault 
    "$sd_prog/$sd_binary" "$@"

Version-Release number of selected component (if applicable):
2.0.2-5.12.3-i386

How reproducible:
100.0%

Steps to Reproduce:
1. run ooffice
2.
3.
  
Actual results:
segfault

Expected results:
starting openoffice

Additional info:

last year's version worked OK, don't remember which version.

Starting program: /usr/lib/openoffice.org2.0/program/soffice.bin 
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1217997136 (LWP 28480)]
warning: Lowest section in /usr/lib/libicudata.so.34 is .hash at 001760b4

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1217997136 (LWP 28480)]
0x02afe55d in cppu::BootstrapException::~BootstrapException ()
   from /usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3
(gdb) bt
#0  0x02afe55d in cppu::BootstrapException::~BootstrapException ()
   from /usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3
#1  0x02afebad in cppu::BootstrapException::~BootstrapException ()
   from /usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3
#2  0x02aff0c2 in cppu::defaultBootstrap_InitialComponentContext ()
   from /usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3
#3  0x02908e6c in desktop::Desktop::CreateApplicationServiceManager ()
   from /usr/lib/openoffice.org2.0/program/libsoffice.so
#4  0x028fb5e5 in desktop::Desktop::Init ()
   from /usr/lib/openoffice.org2.0/program/libsoffice.so
#5  0x07c96d23 in InitVCL () from /usr/lib/openoffice.org2.0/program/libvcl680li.so
#6  0x07c96e76 in InitVCL () from /usr/lib/openoffice.org2.0/program/libvcl680li.so
#7  0x07c96f41 in SVMain () from /usr/lib/openoffice.org2.0/program/libvcl680li.so
#8  0x028f7193 in sal_main () from /usr/lib/openoffice.org2.0/program/libsoffice.so
#9  0x028f71df in main () from /usr/lib/openoffice.org2.0/program/libsoffice.so
#10 0x020157e4 in __libc_start_main () from /lib/libc.so.6
#11 0x080484b1 in _start ()

system has 800 MB free including swap when vm.overcommit_memory = 0

I don't have dependency libgcc_s.so.1(GCC_4.2.0) and I'm not going to install
this particular beta/alpha gcc...  

maps of /usr/lib/openoffice.org2.0/program/soffice.bin

00101000-0011c000 r-xp 00000000 16:08 96041046  
/usr/lib/openoffice.org2.0/program/libvos3gcc3.so
0011c000-0011e000 rwxp 0001a000 16:08 96041046  
/usr/lib/openoffice.org2.0/program/libvos3gcc3.so
0011e000-0011f000 rwxp 0011e000 00:00 0 
00121000-0014c000 r-xp 00000000 16:08 96041050  
/usr/lib/openoffice.org2.0/program/libuno_cppu.so.3
0014c000-0014d000 rwxp 0002a000 16:08 96041050  
/usr/lib/openoffice.org2.0/program/libuno_cppu.so.3
0014d000-00150000 r-xp 00000000 16:08 96046164  
/usr/lib/openoffice.org2.0/program/libuno_salhelpergcc3.so.3
00150000-00152000 rwxp 00002000 16:08 96046164  
/usr/lib/openoffice.org2.0/program/libuno_salhelpergcc3.so.3
00152000-00154000 r-xp 00000000 16:08 128719839  /usr/lib/libXau.so.6.0.0
00154000-00155000 rwxp 00001000 16:08 128719839  /usr/lib/libXau.so.6.0.0
00155000-00157000 r-xp 00000000 16:08 128723598  /usr/lib/libXinerama.so.1.0.0
00157000-00158000 rwxp 00001000 16:08 128723598  /usr/lib/libXinerama.so.1.0.0
00158000-00159000 r-xp 00158000 00:00 0          [vdso]
00159000-00172000 r-xp 00000000 16:01 64552327   /lib/ld-2.4.so
00172000-00173000 r-xp 00018000 16:01 64552327   /lib/ld-2.4.so
00173000-00174000 rwxp 00019000 16:01 64552327   /lib/ld-2.4.so
00174000-00185000 r-xp 00000000 16:08 126569567  /usr/lib/libz.so.1.2.3
00185000-00186000 rwxp 00010000 16:08 126569567  /usr/lib/libz.so.1.2.3
00186000-0019e000 r-xp 00000000 16:08 128723591  /usr/lib/libart_lgpl_2.so.2.3.16
0019e000-0019f000 rwxp 00017000 16:08 128723591  /usr/lib/libart_lgpl_2.so.2.3.16
0019f000-001a4000 r-xp 00000000 16:08 128723584  /usr/lib/libXdmcp.so.6.0.0
001a4000-001a5000 rwxp 00004000 16:08 128723584  /usr/lib/libXdmcp.so.6.0.0
001a5000-001ac000 r-xp 00000000 16:08 96110008  
/usr/lib/openoffice.org2.0/program/libj680li_g.so
001ac000-001ad000 rwxp 00006000 16:08 96110008  
/usr/lib/openoffice.org2.0/program/libj680li_g.so
001ae000-001c2000 r-xp 00000000 16:08 96110047  
/usr/lib/openoffice.org2.0/program/libjvmfwk.so.3
001c2000-001c3000 rwxp 00013000 16:08 96110047  
/usr/lib/openoffice.org2.0/program/libjvmfwk.so.3
001c3000-001cb000 r-xp 00000000 16:08 128723586  /usr/lib/libXrender.so.1.3.0
001cb000-001cc000 rwxp 00007000 16:08 128723586  /usr/lib/libXrender.so.1.3.0
001cc000-001e3000 r-xp 00000000 16:08 128723609  /usr/lib/libICE.so.6.3.0
001e3000-001e4000 rwxp 00016000 16:08 128723609  /usr/lib/libICE.so.6.3.0
001e4000-001e6000 rwxp 001e4000 00:00 0 
001e6000-00303000 r-xp 00000000 16:08 127377640  /usr/lib/libicui18n.so.34.0
00303000-00308000 rwxp 0011d000 16:08 127377640  /usr/lib/libicui18n.so.34.0
00308000-00309000 rwxp 00308000 00:00 0 
00309000-00412000 r-xp 00000000 16:08 125836872  /usr/lib/libicuuc.so.34.0
00412000-00419000 rwxp 00109000 16:08 125836872  /usr/lib/libicuuc.so.34.0
00419000-0041a000 rwxp 00419000 00:00 0 
0041a000-00421000 r-xp 00000000 16:08 128723599  /usr/lib/libXi.so.6.0.0
00421000-00422000 rwxp 00006000 16:08 128723599  /usr/lib/libXi.so.6.0.0
00422000-00425000 r-xp 00000000 16:08 128723600  /usr/lib/libXrandr.so.2.0.0
00425000-00426000 rwxp 00002000 16:08 128723600  /usr/lib/libXrandr.so.2.0.0
00426000-0042a000 r-xp 00000000 16:08 128723601  /usr/lib/libXfixes.so.3.0.0
0042a000-0042b000 rwxp 00003000 16:08 128723601  /usr/lib/libXfixes.so.3.0.0
0042b000-00465000 r-xp 00000000 16:08 96529057  
/usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so
00465000-0046b000 rwxp 0003a000 16:08 96529057  
/usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so
0046b000-0046f000 r-xp 00000000 16:08 127359419  /usr/lib/libgthread-2.0.so.0.1000.2
0046f000-00470000 rwxp 00003000 16:08 127359419  /usr/lib/libgthread-2.0.so.0.1000.2
00470000-004c3000 r-xp 00000000 16:08 96529056  
/usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so
004c3000-004ca000 rwxp 00053000 16:08 96529056  
/usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so
004ca000-004cc000 rwxp 004ca000 00:00 0 
004cc000-004e5000 r-xp 00000000 16:08 96529089  
/usr/lib/openoffice.org2.0/program/servicemgr.uno.so
004e5000-004e7000 rwxp 00019000 16:08 96529089  
/usr/lib/openoffice.org2.0/program/servicemgr.uno.so
004e7000-004f5000 r-xp 00000000 16:08 96529095  
/usr/lib/openoffice.org2.0/program/simplereg.uno.so
004f5000-004f6000 rwxp 0000d000 16:08 96529095  
/usr/lib/openoffice.org2.0/program/simplereg.uno.so
004f6000-00503000 r-xp 00000000 16:08 96529073  
/usr/lib/openoffice.org2.0/program/nestedreg.uno.so
00503000-00504000 rwxp 0000d000 16:08 96529073  
/usr/lib/openoffice.org2.0/program/nestedreg.uno.so
00504000-00521000 r-xp 00000000 16:08 96529110  
/usr/lib/openoffice.org2.0/program/typemgr.uno.so
00521000-00523000 rwxp 0001c000 16:08 96529110  
/usr/lib/openoffice.org2.0/program/typemgr.uno.so
00523000-00532000 r-xp 00000000 16:08 96226550  
/usr/lib/openoffice.org2.0/program/implreg.uno.so
00532000-00533000 rwxp 0000f000 16:08 96226550  
/usr/lib/openoffice.org2.0/program/implreg.uno.so
00533000-0054a000 r-xp 00000000 16:08 96529087  
/usr/lib/openoffice.org2.0/program/security.uno.so
0054a000-0054c000 rwxp 00016000 16:08 96529087  
/usr/lib/openoffice.org2.0/program/security.uno.so
00915000-0091e000 r-xp 00000000 16:01 64274575   /lib/libnss_files-2.4.so
0091e000-0091f000 r-xp 00008000 16:01 64274575   /lib/libnss_files-2.4.so
0091f000-00920000 rwxp 00009000 16:01 64274575   /lib/libnss_files-2.4.so
009e6000-00a20000 r-xp 00000000 16:08 127377638  /usr/lib/libicule.so.34.0
00a20000-00a22000 rwxp 00039000 16:08 127377638  /usr/lib/libicule.so.34.0
00b9d000-00c48000 r-xp 00000000 16:08 96046175  
/usr/lib/openoffice.org2.0/program/libsvl680li.so
00c48000-00c4e000 rwxp 000aa000 16:08 96046175  
/usr/lib/openoffice.org2.0/program/libsvl680li.so
00c50000-00cb0000 r-xp 00000000 16:08 96529058  
/usr/lib/openoffice.org2.0/program/libucbhelper3gcc3.so
00cb0000-00cb4000 rwxp 00060000 16:08 96529058  
/usr/lib/openoffice.org2.0/program/libucbhelper3gcc3.so
00cb6000-00d33000 r-xp 00000000 16:08 96046116  
/usr/lib/openoffice.org2.0/program/libpsp680li.so
00d33000-00d7c000 rwxp 0007c000 16:08 96046116  
/usr/lib/openoffice.org2.0/program/libpsp680li.so
00d7c000-00d7f000 rwxp 00d7c000 00:00 0 
00d81000-00d89000 r-xp 00000000 16:08 128723596 
/usr/lib/libpangocairo-1.0.so.0.1200.1
00d89000-00d8a000 rwxp 00007000 16:08 128723596 
/usr/lib/libpangocairo-1.0.so.0.1200.1
00d8c000-00d9a000 r-xp 00000000 16:08 128723597  /usr/lib/libXext.so.6.4.0
00d9a000-00d9b000 rwxp 0000d000 16:08 128723597  /usr/lib/libXext.so.6.4.0
00d9d000-00dad000 r-xp 00000000 16:01 64552331   /lib/libpthread-2.4.so
00dad000-00dae000 r-xp 0000f000 16:01 64552331   /lib/libpthread-2.4.so
00dae000-00daf000 rwxp 00010000 16:01 64552331   /lib/libpthread-2.4.so
00daf000-00db1000 rwxp 00daf000 00:00 0 
00db3000-00df3000 r-xp 00000000 16:08 96046150  
/usr/lib/openoffice.org2.0/program/libucpfile1.so
00df3000-00df6000 rwxp 0003f000 16:08 96046150  
/usr/lib/openoffice.org2.0/program/libucpfile1.so
00df8000-00dfa000 r-xp 00000000 16:01 64552330   /lib/libdl-2.4.so
00dfa000-00dfb000 r-xp 00001000 16:01 64552330   /lib/libdl-2.4.so
00dfb000-00dfc000 rwxp 00002000 16:01 64552330   /lib/libdl-2.4.so
00e9e000-00ea4000 r-xp 00000000 16:08 96529094  
/usr/lib/openoffice.org2.0/program/shlibloader.uno.so
00ea4000-00ea5000 rwxp 00005000 16:08 96529094  
/usr/lib/openoffice.org2.0/program/shlibloader.uno.so
00fa2000-00fa3000 r-xp 00000000 16:08 100884070  /usr/lib/gconv/ISO8859-1.so
00fa3000-00fa5000 rwxp 00000000 16:08 100884070  /usr/lib/gconv/ISO8859-1.so
02000000-0212c000 r-xp 00000000 16:01 64552328   /lib/libc-2.4.so
0212c000-0212f000 r-xp 0012b000 16:01 64552328   /lib/libc-2.4.so
0212f000-02130000 rwxp 0012e000 16:01 64552328   /lib/libc-2.4.so
02130000-02133000 rwxp 02130000 00:00 0 
02135000-0216e000 r-xp 00000000 16:08 128723608 
/usr/lib/libgnomeprintui-2-2.so.0.1.0
0216e000-02170000 rwxp 00038000 16:08 128723608 
/usr/lib/libgnomeprintui-2-2.so.0.1.0
02172000-0227e000 r-xp 00000000 16:08 127930987  /usr/lib/libxml2.so.2.6.21
0227e000-02286000 rwxp 0010b000 16:08 127930987  /usr/lib/libxml2.so.2.6.21
02286000-02287000 rwxp 02286000 00:00 0 
02289000-022a7000 r-xp 00000000 16:08 128719836  /usr/lib/libexpat.so.0.5.0
022a7000-022a9000 rwxp 0001e000 16:08 128719836  /usr/lib/libexpat.so.0.5.0
022ab000-02396000 r-xp 00000000 16:08 96046169  
/usr/lib/openoffice.org2.0/program/libsb680li.so
02396000-023a5000 rwxp 000eb000 16:08 96046169  
/usr/lib/openoffice.org2.0/program/libsb680li.so
023a7000-0246a000 r-xp 00000000 16:08 96041048  
/usr/lib/openoffice.org2.0/program/libstlport_gcc.so
0246a000-0246e000 rwxp 000c2000 16:08 96041048  
/usr/lib/openoffice.org2.0/program/libstlport_gcc.so
0246e000-0246f000 rwxp 0246e000 00:00 0 
02471000-024f8000 r-xp 00000000 16:08 128723603  /usr/lib/libgdk-x11-2.0.so.0.800.17
024f8000-024fb000 rwxp 00087000 16:08 128723603  /usr/lib/libgdk-x11-2.0.so.0.800.17
024fd000-026aa000 r-xp 00000000 16:08 96110041  
/usr/lib/openoffice.org2.0/program/libfwk680li.so
026aa000-026b7000 rwxp 001ac000 16:08 96110041  
/usr/lib/openoffice.org2.0/program/libfwk680li.so
026b7000-026b9000 rwxp 026b7000 00:00 0 
026bb000-0285b000 r-xp 00000000 16:08 96041055  
/usr/lib/openoffice.org2.0/program/libtk680li.so
0285b000-0287f000 rwxp 001a0000 16:08 96041055  
/usr/lib/openoffice.org2.0/program/libtk680li.so
0287f000-02881000 rwxp 0287f000 00:00 0 
02883000-028b6000 r-xp 00000000 16:08 128719837  /usr/lib/libfontconfig.so.1.0.4
028b6000-028ba000 rwxp 00032000 16:08 128719837  /usr/lib/libfontconfig.so.1.0.4
028ba000-028bb000 rwxp 028ba000 00:00 0 
028bd000-028d4000 r-xp 00000000 16:08 128723593 
/usr/lib/libgdk_pixbuf-2.0.so.0.800.17
028d4000-028d5000 rwxp 00016000 16:08 128723593 
/usr/lib/libgdk_pixbuf-2.0.so.0.800.17
028d7000-02924000 r-xp 00000000 16:08 96049320  
/usr/lib/openoffice.org2.0/program/libsoffice.so
02924000-02928000 rwxp 0004c000 16:08 96049320  
/usr/lib/openoffice.org2.0/program/libsoffice.so
0292a000-02998000 r-xp 00000000 16:08 96529059  
/usr/lib/openoffice.org2.0/program/libgo680li.so
02998000-0299c000 rwxp 0006d000 16:08 96529059  
/usr/lib/openoffice.org2.0/program/libgo680li.so
0299e000-029dc000 r-xp 00000000 16:08 128719832  /usr/lib/libgobject-2.0.so.0.1000.2
029dc000-029dd000 rwxp 0003e000 16:08 128719832  /usr/lib/libgobject-2.0.so.0.1000.2
029df000-029ff000 r-xp 00000000 16:08 128723589  /usr/lib/libjpeg.so.62.0.0
029ff000-02a00000 rwxp 0001f000 16:08 128723589  /usr/lib/libjpeg.so.62.0.0
02a02000-02ad7000 r-xp 00000000 16:08 85405949   /usr/local/lib/libstdc++.so.6.0.7
02ad7000-02adc000 rwxp 000d5000 16:08 85405949   /usr/local/lib/libstdc++.so.6.0.7
02adc000-02ae2000 rwxp 02adc000 00:00 0 
02ae4000-02b35000 r-xp 00000000 16:08 96041044  
/usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3
02b35000-02b38000 rwxp 00051000 16:08 96041044  
/usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3
02b3a000-02b76000 r-xp 00000000 16:08 128719834  /usr/lib/libpango-1.0.so.0.1200.1
02b76000-02b78000 rwxp 0003b000 16:08 128719834  /usr/lib/libpango-1.0.so.0.1200.1
02b7a000-02c0b000 r-xp 00000000 16:08 128719831  /usr/lib/libglib-2.0.so.0.1000.2
02c0b000-02c0c000 rwxp 00091000 16:08 128719831  /usr/lib/libglib-2.0.so.0.1000.2
067fc000-06ac2000 r-xp 00000000 16:08 96110040  
/usr/lib/openoffice.org2.0/program/libsfx680li.so
06ac2000-06adb000 rwxp 002c6000 16:08 96110040  
/usr/lib/openoffice.org2.0/program/libsfx680li.so
06adb000-06adc000 rwxp 06adb000 00:00 0 
06ade000-06b8d000 r-xp 00000000 16:08 96041036  
/usr/lib/openoffice.org2.0/program/libcomphelp4gcc3.so
06b8d000-06b95000 rwxp 000ae000 16:08 96041036  
/usr/lib/openoffice.org2.0/program/libcomphelp4gcc3.so
06b95000-06b96000 rwxp 06b95000 00:00 0 
06b98000-06e8a000 r-xp 00000000 16:08 96046168  
/usr/lib/openoffice.org2.0/program/libsvt680li.so
06e8a000-06eab000 rwxp 002f2000 16:08 96046168  
/usr/lib/openoffice.org2.0/program/libsvt680li.so
06eab000-06eac000 rwxp 06eab000 00:00 0 
06eae000-06f1a000 r-xp 00000000 16:08 96041034  
/usr/lib/openoffice.org2.0/program/libutl680li.so
06f1a000-06f1f000 rwxp 0006b000 16:08 96041034  
/usr/lib/openoffice.org2.0/program/libutl680li.so
06f21000-071b4000 r-xp 00000000 16:08 96110015  
/usr/lib/openoffice.org2.0/program/libxo680li.so
071b4000-071db000 rwxp 00293000 16:08 96110015  
/usr/lib/openoffice.org2.0/program/libxo680li.so
071db000-071dc000 rwxp 071db000 00:00 0 
071de000-07252000 r-xp 00000000 16:08 96041039  
/usr/lib/openoffice.org2.0/program/libxcr680li.so
07252000-07257000 rwxp 00073000 16:08 96041039  
/usr/lib/openoffice.org2.0/program/libxcr680li.so
07259000-0729f000 r-xp 00000000 16:08 96049318  
/usr/lib/openoffice.org2.0/program/libsot680li.so
0729f000-072a3000 rwxp 00045000 16:08 96049318  
/usr/lib/openoffice.org2.0/program/libsot680li.so
072a5000-072ca000 r-xp 00000000 16:08 128723594  /usr/lib/libpng12.so.0.1.2.9
072ca000-072cb000 rwxp 00024000 16:08 128723594  /usr/lib/libpng12.so.0.1.2.9
072cd000-07333000 r-xp 00000000 16:08 128719835  /usr/lib/libfreetype.so.6.3.8
07333000-07336000 rwxp 00066000 16:08 128719835  /usr/lib/libfreetype.so.6.3.8
07338000-07341000 r-xp 00000000 16:08 128723602  /usr/lib/libXcursor.so.1.0.2
07341000-07342000 rwxp 00008000 16:08 128723602  /usr/lib/libXcursor.so.1.0.2
07344000-0743d000 r-xp 00000000 16:08 128723585  /usr/lib/libX11.so.6.2.0
0743d000-07441000 rwxp 000f9000 16:08 128723585  /usr/lib/libX11.so.6.2.0
07483000-0749a000 r-xp 00000000 16:08 128723604  /usr/lib/libatk-1.0.so.0.1113.0
0749a000-0749c000 rwxp 00017000 16:08 128723604  /usr/lib/libatk-1.0.so.0.1113.0
0749e000-074c5000 r-xp 00000000 16:08 128719838 
/usr/lib/libpangoft2-1.0.so.0.1200.1
074c5000-074c6000 rwxp 00027000 16:08 128719838 
/usr/lib/libpangoft2-1.0.so.0.1200.1
074c8000-077e6000 r-xp 00000000 16:08 128723605  /usr/lib/libgtk-x11-2.0.so.0.800.17
077e6000-077ee000 rwxp 0031d000 16:08 128723605  /usr/lib/libgtk-x11-2.0.so.0.800.17
077ee000-077f1000 rwxp 077ee000 00:00 0 
077f3000-077f8000 r-xp 00000000 16:01 64552329   /lib/libcrypt-2.4.so
077f8000-077f9000 r-xp 00004000 16:01 64552329   /lib/libcrypt-2.4.so
077f9000-077fa000 rwxp 00005000 16:01 64552329   /lib/libcrypt-2.4.so
077fa000-07821000 rwxp 077fa000 00:00 0 
07823000-0783c000 r-xp 00000000 16:08 96049319  
/usr/lib/openoffice.org2.0/program/libfwl680li.so
0783c000-0783d000 rwxp 00019000 16:08 96049319  
/usr/lib/openoffice.org2.0/program/libfwl680li.so
0783f000-07889000 r-xp 00000000 16:08 96049316  
/usr/lib/openoffice.org2.0/program/libbasegfx680li.so
07889000-0788a000 rwxp 0004a000 16:08 96049316  
/usr/lib/openoffice.org2.0/program/libbasegfx680li.so
0788c000-07a2a000 r-xp 00000000 16:08 95817779  
/usr/lib/openoffice.org2.0/program/libuno_sal.so.3
07a2a000-07a3e000 rwxp 0019d000 16:08 95817779  
/usr/lib/openoffice.org2.0/program/libuno_sal.so.3
07a40000-07a8e000 r-xp 00000000 16:08 128723595  /usr/lib/libcairo.so.2.2.3
07a8e000-07a8f000 rwxp 0004d000 16:08 128723595  /usr/lib/libcairo.so.2.2.3
07a91000-07ac1000 r-xp 00000000 16:08 96041053  
/usr/lib/openoffice.org2.0/program/libfwi680li.so
07ac1000-07ac3000 rwxp 0002f000 16:08 96041053  
/usr/lib/openoffice.org2.0/program/libfwi680li.so
07ac5000-07b2d000 r-xp 00000000 16:08 128723592  /usr/lib/libgnomeprint-2-2.so.0.1.0
07b2d000-07b2f000 rwxp 00068000 16:08 128723592  /usr/lib/libgnomeprint-2-2.so.0.1.0
07b31000-07bcb000 r-xp 00000000 16:08 96046159  
/usr/lib/openoffice.org2.0/program/libso680li.so
07bcb000-07bd6000 rwxp 0009a000 16:08 96046159  
/usr/lib/openoffice.org2.0/program/libso680li.so
07bd8000-07c05000 r-xp 00000000 16:08 128723607 
/usr/lib/libgnomecanvas-2.so.0.600.1
07c05000-07c06000 rwxp 0002c000 16:08 128723607 
/usr/lib/libgnomecanvas-2.so.0.600.1
07c08000-07e5d000 r-xp 00000000 16:08 96046138  
/usr/lib/openoffice.org2.0/program/libvcl680li.so
07e5d000-07e6f000 rwxp 00254000 16:08 96046138  
/usr/lib/openoffice.org2.0/program/libvcl680li.so
07e6f000-07e70000 rwxp 07e6f000 00:00 0 
07e72000-07ef7000 r-xp 00000000 16:08 96142122  
/usr/lib/openoffice.org2.0/program/libtl680li.so
07ef7000-07efb000 rwxp 00085000 16:08 96142122  
/usr/lib/openoffice.org2.0/program/libtl680li.so
07efd000-07f03000 r-xp 00000000 16:08 128723588 
/usr/lib/libpangoxft-1.0.so.0.1200.1
07f03000-07f04000 rwxp 00006000 16:08 128723588 
/usr/lib/libpangoxft-1.0.so.0.1200.1
07f06000-07f0a000 r-xp 00000000 16:08 96110013  
/usr/lib/openoffice.org2.0/program/libjvmaccessgcc3.so.3
07f0a000-07f0b000 rwxp 00003000 16:08 96110013  
/usr/lib/openoffice.org2.0/program/libjvmaccessgcc3.so.3
07f0d000-07f20000 r-xp 00000000 16:08 128723587  /usr/lib/libXft.so.2.1.2
07f20000-07f21000 rwxp 00012000 16:08 128723587  /usr/lib/libXft.so.2.1.2
07f23000-07f2e000 r-xp 00000000 16:08 128723606  /usr/lib/libpangox-1.0.so.0.1200.1
07f2e000-07f2f000 rwxp 0000a000 16:08 128723606  /usr/lib/libpangox-1.0.so.0.1200.1
07f31000-07fa7000 r-xp 00000000 16:08 96529064  
/usr/lib/openoffice.org2.0/program/libfwe680li.so
07fa7000-07fab000 rwxp 00076000 16:08 96529064  
/usr/lib/openoffice.org2.0/program/libfwe680li.so
07fad000-07fd0000 r-xp 00000000 16:01 64552332   /lib/libm-2.4.so
07fd0000-07fd1000 r-xp 00022000 16:01 64552332   /lib/libm-2.4.so
07fd1000-07fd2000 rwxp 00023000 16:01 64552332   /lib/libm-2.4.so
07fd4000-07fdc000 r-xp 00000000 16:08 128723610  /usr/lib/libSM.so.6.0.0
07fdc000-07fdd000 rwxp 00007000 16:08 128723610  /usr/lib/libSM.so.6.0.0
07fdf000-07fe9000 r-xp 00000000 16:01 64552333   /lib/libgcc_s.so.1
07fe9000-07fea000 rwxp 00009000 16:01 64552333   /lib/libgcc_s.so.1
07fec000-07fef000 r-xp 00000000 16:08 128719833  /usr/lib/libgmodule-2.0.so.0.1000.2
07fef000-07ff0000 rwxp 00002000 16:08 128719833  /usr/lib/libgmodule-2.0.so.0.1000.2
08048000-08049000 r-xp 00000000 16:08 96046160  
/usr/lib/openoffice.org2.0/program/soffice.bin
08049000-08053000 rw-p 00000000 16:08 96046160  
/usr/lib/openoffice.org2.0/program/soffice.bin
0913c000-0917a000 rw-p 0913c000 00:00 0          [heap]
b746d000-b766d000 r--p 00000000 16:08 26081089   /usr/lib/locale/locale-archive
b766d000-b7675000 rw-p b766d000 00:00 0 
b7675000-b7ee2000 r--p 00000000 16:08 127899319  /usr/lib/libicudata.so.34.0
b7ee2000-b7ee3000 rw-p 0086d000 16:08 127899319  /usr/lib/libicudata.so.34.0
b7ee3000-b7eff000 rw-p b7ee3000 00:00 0 
b7eff000-b7f06000 r--s 00000000 16:08 100789429  /usr/lib/gconv/gconv-modules.cache
b7f06000-b7f07000 r--p 0069a000 16:08 26081089   /usr/lib/locale/locale-archive
b7f07000-b7f18000 rw-p b7f07000 00:00 0 
bff01000-bff17000 rw-p bff01000 00:00 0          [stack]
Comment 1 Caolan McNamara 2006-04-28 03:33:47 EDT
"I don't have dependency libgcc_s.so.1(GCC_4.2.0) and I'm not going to install
this particular beta/alpha gcc..."

What do you mean, you are excluding upgrading libgcc (rpm -qf
/lib/libgcc_s.so.1) or something ?

That looks like a SEGV on the first UNO exeception that gets generated, I
suspect it simply is because of an incompatible libgcc_s
Comment 2 Sami Farin 2006-04-28 03:57:01 EDT
# rpm -qf /lib/libgcc_s.so.1 
file /lib/libgcc_s.so.1 is not owned by any package

/lib/libgcc_s.so.1 is from gcc-4.0.3 (configure --enable-threads && make bootstrap)

good you have libgcc_s.so.1 in libgcc rpm.
I installed that and ooffice starts, if and only if I disable selinux.

damn your black heart selinux!: Permission denied

Note You need to log in before you can comment on or make changes to this bug.